<?php
/*
Plugin Name: Daily Horoscope
Plugin URI: https://yourwebsite.com/
Description: 毎日の運勢予報を表示するプラグイン
Version: 1.5
Author: Nishikei
Author URI: https://yourwebsite.com/
*/

if (!defined('ABSPATH')) {
    exit;
}

// 必要なファイルの読み込み
require_once plugin_dir_path(__FILE__) . 'includes/admin.php';
require_once plugin_dir_path(__FILE__) . 'includes/export.php';
require_once plugin_dir_path(__FILE__) . 'includes/font-settings.php';
require_once plugin_dir_path(__FILE__) . 'includes/auto-update.php';
require_once plugin_dir_path(__FILE__) . 'includes/shortcode.php';

// カスタム投稿タイプの登録
function create_horoscope_post_type() {
    register_post_type('horoscope', array(
        'labels' => array(
            'name' => '運勢メッセージ',
            'singular_name' => '運勢メッセージ'
        ),
        'public' => true,
        'has_archive' => true,
        'supports' => array('title', 'editor'),
        'show_in_menu' => false
    ));
}
add_action('init', 'create_horoscope_post_type');

// プラグインの有効化時の処理
function horoscope_activation() {
    schedule_horoscope_updates();
}
register_activation_hook(__FILE__, 'horoscope_activation');

// プラグインの無効化時の処理
function horoscope_deactivation() {
    wp_clear_scheduled_hook('daily_horoscope_update');
    wp_clear_scheduled_hook('horoscope_cleanup');
}
register_deactivation_hook(__FILE__, 'horoscope_deactivation');

// フロントエンド用スタイルの読み込み
function enqueue_horoscope_frontend_styles() {
    wp_enqueue_style('horoscope-style', plugins_url('css/horoscope-style.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'enqueue_horoscope_frontend_styles');