<?php
if (!defined('ABSPATH')) {
    exit;
}

// ショートコード機能
function horoscope_shortcode($atts) {
    $atts = shortcode_atts(array('date' => current_time('Y-m-d')), $atts, 'horoscope');
    $display_date = $atts['date'];
    
    $zodiac_signs = array(
        'aries' => '牡羊座', 'taurus' => '牡牛座', 'gemini' => '双子座', 'cancer' => '蟹座',
        'leo' => '獅子座', 'virgo' => '乙女座', 'libra' => '天秤座', 'scorpio' => '蠍座',
        'sagittarius' => '射手座', 'capricorn' => '山羊座', 'aquarius' => '水瓶座', 'pisces' => '魚座'
    );
    
    $output = '<div class="horoscope-container">';
    $output .= '<h2>' . esc_html(date('Y年n月j日', strtotime($display_date)) . 'の運勢予報') . '</h2>';
    
    foreach ($zodiac_signs as $sign => $name) {
        $horoscope = get_horoscope($sign, $display_date);
        if ($horoscope) {
            $output .= '<div class="horoscope-item">';
            $output .= '<strong class="zodiac-name">' . esc_html($name) . '</strong>: ';
            $output .= '<span class="horoscope-message">' . esc_html($horoscope) . '</span>';
            $output .= '</div>';
        }
    }
    
    $output .= '</div>';
    return $output;
}
add_shortcode('horoscope', 'horoscope_shortcode');

// スタイルシートの読み込み
function enqueue_shortcode_styles() {
    wp_enqueue_style('horoscope-shortcode-style', plugins_url('/css/horoscope-style.css', dirname(__FILE__)));
}
add_action('wp_enqueue_scripts', 'enqueue_shortcode_styles');
?>